SLACKDTXT(8)

NAME
slackdtxt - Create package description files for Slackware packages

SYNOPSIS
slackdtxt [options] <tgz file or list of files>

DESCRIPTION
slackdtxt is tool for creating the package description (packagename.txt) files that can be see in the Slackware package series directories. It can also optionally sign the Slackware package with your GnuPG secret key.

All Slackware packages have an 'install/slack-desc' file contained within the package file. This file gives a brief description of the package and is displayed by the installpkg program when the package is installed, or by upgradepkg when the package is upgraded.

Within the Slackware binary distribution package 'series' directories are the '.t?z' files and an accompanying .txt file. However, the slack-desc files contained within the .t?z often have comments and 'the handy ruler' which should not appear the .txt version. slackdtxt removes this and generates a 'standard' .txt version from the slack-desc file.

slackdtxt can either take an existing slack-desc file and convert it, or extract the slack-desc from the specified .t?z package file.

The basic purpose of slackdtxt is to build .txt files after you have run Slackware's official SlackBuild scripts. Slackware's SlackBuild scripts leave the packages in /tmp, and it is presumed that you would like to move them into a safe place and create a .txt file at the same time. Therefore slackdtxt enables you to specify a destination directory in which to copy or move the .t?z and to create the .txt file.

slackdtxt was written with porting Slackware to other architectures in mind.

Slackware Package file extensions
Starting with Slackware version 13, four types of package compression formats are suported.

.tgz - Gzip
.tbz - Bzip2
.tlz - LZMA
.txz - XZ

Where this document mentions '.t?z', it refers to one of the above formats.

OPTIONS - GENERAL

-h, --help
    Show the available options and exit

-v, --version
    Show the version information and exit

OPTIONS - MAIN

-s, --slackdescfile <path to slack-desc file>
    Specify the name of/path to the 'slack-desc' file.

    You would typically want to use this option if you are in the package build directory that contains the slack-desc file.

    Note: You cannot use this option when specifying more than one .t?z package file; all slack-desc files will be extracted from the .t?z file.

    This option is not mandatory.

-d, --destdir <directory>
    If this option is specified, slackdtxt will move (or copy, see --nodelete) the .t?z file into this directory. The .txt and .asc files will also be created in this directory.

    See the examples document for the purpose of this option.

    This option is not mandatory.

    Note: Omitting this flag implies --nodelete

-n, --nodelete
    This option is used in conjunction with --destdir

    With this option, when slackdtxt has created the .txt file and copied the .t?z file into the destination directory, it will not delete the original version.

    For example, if your file is /tmp/foobar-2.0-i386-4.tgz and you feed slackdtxt --destdir /data/slackware/ then the /tmp/foobar-2.0-i386-4.tgz will remain.

    By default, the original will be deleted unless there is no destination directory specified by --destdir

-G,  --gpg-sign <id>
    Sign the original .t?z package file with specified GnuPG key. The GnuPG signature file will have the same name as the .t?z file but with an extra .asc suffixed (e.g. foobar-1.0-i486-5.tgz.asc).

EXAMPLES

# slackdtxt foo-1.00-i486-1.tgz
    This will create a single file named foo-1.00-i486-1.txt within the current working directory. To specify a different directory, see options -d, --destdir

# slackdtxt *.t?z
    This will make slackdtxt create '.txt' files for every '.t?z' package file within the current working directory.

RETURN VALUES
These are the exit codes that slackdtxt will produce when it encounters certain problems. You may wish to use these return codes to indicate success or failure when slackdtxt is called from unattended auto builder scripts.

0 Clean exit
    slackdtxt exited without encountering any errors. This is the default exit code.

1 Reserved
    This error code is not currently used.

6 Missing destination directory
    The destination directory specified by the --destdir switch does not exist.

7 Missing user specified file
    A file specified by the user does not exist. Typically this will be the .t?z package file.

8 Error moving data or moved data is corrupt
    slackdtxt failed to copy or move a data file correctly, or the file was moved correctly (mv or cp did not exit with a non-zero value) but a further verify failed.

FILES
/usr/bin/slackdtxt the slackdtxt script

/usr/doc/slacktrack-2.06/SLACKDTXT.examples slackdtxt usage examples

AUTHOR
Stuart Winter <mozes@slackware.com>

SEE ALSO
    slacktrack(8), makepkg(8), installpkg(8), explodepkg(8), removepkg(8), pkgtool(8), upgradepkg(8)

POD ERRORS
Hey! The above document had some coding errors, which are explained below:

Around line 144:
    You forgot a '=back' before '=head1'